Обновление 1.1.15 -1.1.16 проблемы

Автор GodDan, 26 Декабрь 2011, 15:06:01

« назад - далее »

0 Пользователей и 1 гость просматривают эту тему.

GodDan

Приветствую сообщество!
SMF 1.1.15 (utf8), тема дефолтная.

Решил обновиться до 1.16, скачал  "SMF 1.1.16 - update", запустил обновление.
На выходи получил поврежденный форум:
1. на Главной разделы перетасованы, т.е. их расположение не соответствует расположению перед обновлением и той что в админке;
2. с Главной пропал целый раздел (его подразделы и сообщения в них доступны) -- зашел на Главную, а раздела нет.
3. на Главной у двух разделов показывается "0 Сообщений 0 Тем" (их подразделы и сообщения в них доступны) -- зашел на Главную, а там в разделах "0 Сообщений 0 Тем". Если перейти внутрь раздела, подразделы отображают кол-во своих сообщений и тем.

Откатил дамп БД назад -- всё хорошо. Повторил попытку обновления -- опять проблемы.

Народ, кто-то сталкивался с подобным? Что там творится с БД при обновлении, что её так ломает?
И можно ли, обновив файлы скрипта до 1.16, запустив обновление, но откатив БД назад (до 1.15), использовать форум (в подвале вроде как отображается версия 1.1.16)?

С уважением,

Mavn

используйте мод для обновления ссылка выше
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

GodDan

Цитата: Mavn от 26 Декабрь 2011, 15:09:10
используйте мод для обновления ссылка выше
Приветствую, Mavn!
Обновление модом решит проблему, или же это как вариант возможного решения?

Выше нашел только ссылку на описание ручного обновления http://custom.simplemachines.org/upgrades/index.php?action=upgrade;file=smf_patch_1.0.22_1.1.16.tar.gz;smf_version=1.1.15
Странно, упаковать архив в 1МБ, и в итого обновить только 3 файла? Или я не так широко мыслю?

А как насчет другого моего вопроса: можно ли, обновив скрипт до 1.16 и откатив БД назад (до 1.15), использовать форум?
С уважением,

Mavn

SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

chilly86

вообще что то у Вас не здоровое происходит
апгрейд до 1.1.16 БД вообще не затрагивает..
to live is to die

GodDan

Цитата: Mavn от 26 Декабрь 2011, 15:33:15
http://custom.simplemachines.org/upgrades
Mavn, прошу простить, позже увидел ссылку. Скажите, как пользоваться этим модом, я ранее никогда так не обновлялся:
1) Он устанавливается как обычный мод?
2) Разархивация первого архива не требуется, SMF сам разархивирует двойной архив?
3) Надо ли откатить файлы скрипта назад, до 1.1.15, или же оставить 1.1.16?

Цитата: chilly86 от 26 Декабрь 2011, 15:33:36
вообще что то у Вас не здоровое происходит
апгрейд до 1.1.16 БД вообще не затрагивает..
Вот и я о том же. Ранее обновлялся и проблем с БД не было никогда. Но вот реально, как обновлю upgrade.php форум, так сразу проблема с БД.

То есть, если апгрейд до 1.1.16 БД вообще не затрагивает, следовательно можно обновив скрипт до 1.16 (получив на выходе битую БД), просто откатив БД назад (до 1.15) и спокойно дальше использовать форум?

chilly86

Цитата: GodDan от 26 Декабрь 2011, 15:43:40
Но вот реально, как обновлю upgrade.php форум, так сразу проблема с БД.


эээ
там нет никакого upgrade.php
Вы там, часом, не на двойку пробуете обновиться??
to live is to die

GodDan

Цитата: chilly86 от 26 Декабрь 2011, 16:10:49там нет никакого upgrade.php
Вы там, часом, не на двойку пробуете обновиться??
Вот только что скачал smf_1-1-16_update.zip (1 232 252 байт), в корне:
smf_1-1-16_update\Sources\
smf_1-1-16_update\Themes\
smf_1-1-16_update\news_readme.html
smf_1-1-16_update\readme.html
smf_1-1-16_update\index.php
smf_1-1-16_update\SSI.php
smf_1-1-16_update\ssi_examples.php
smf_1-1-16_update\upgrade.php
smf_1-1-16_update\ssi_examples.shtml
smf_1-1-16_update\license.txt

chilly86

гг
Вы, по ходу, скачали Large Upgrade с 1.0.* на 1.1.16
выбросите каку  :D

http://custom.simplemachines.org/mods/downloads/smf_patch_1.0.22_1.1.16.tar.gz
ставите как обычный мод
to live is to die

GeorG

Цитата: GodDan от 26 Декабрь 2011, 15:43:401) Он устанавливается как обычный мод?
Да, и всё!!! Это перекрывает другие вопросы, просто ставьте мод.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

GodDan

Цитата: chilly86 от 26 Декабрь 2011, 16:22:21Вы, по ходу, скачали Large Upgrade с 1.0.* на 1.1.16
Я постоянно обновлялся именно архивами, скачивал "SMF 1.1.хх - update" и там всегда был файл upgrade.php. Подобный способ обновления описан в http://www.simplemachines.ru/index.php?topic=1097.0 .
Вчера тоже всё было как обычно, единственное что меня удивило, так только то, что при обновлении трех файлов, архив с обновлением имеет кучу файлов и вес 1,17МБ! Но да ладно, мало ли... обновился, на свою голову  :(

Цитата: chilly86 от 26 Декабрь 2011, 16:22:21http://custom.simplemachines.org/mods/downloads/smf_patch_1.0.22_1.1.16.tar.gz
ставите как обычный мод
Цитата: GeorG от 26 Декабрь 2011, 16:36:42Да, и всё!!! Это перекрывает другие вопросы, просто ставьте мод.
Понял. Всё БД я откачу назад (до 1.1.15), и оставляю на форуме файлыи скрипта из smf_1-1-16_update.zip, их откатывать  до 1.1.15 не буду.

Спасибо!

Mavn

если вы перезалили файлы из 1.1.16 то можно больше ничего не делать изменений в бд не требуется
SimpleMachines Russian Community Team
п.1 Пройду курсы гадалок для определения исходного кода по скриншоту.

п.2 У вас нет желания читать правила раздела, у меня нет желания одобрять темы, которые не соответствуют этим правилам.

Selish selishev

Цитата: Mavn от 26 Декабрь 2011, 15:09:10
используйте мод для обновления ссылка выше
Так где ссылка на мод?

kak2z

Цитата: Selish selishev от 30 Декабрь 2011, 13:33:29
Так где ссылка на мод?
На первую страницу темы посмотреть религия не позволяет?
Если нужно что то исправить, обновить, переставить, настроить, сделать форум заново - пишите в ЛС)

Selish selishev

Цитата: kak2z от 30 Декабрь 2011, 13:45:38
На первую страницу темы посмотреть религия не позволяет?
Cсылки выделяются ссылками, а не флудом, еще про ПЖВ задвинь.
Так и не вижу  ссылки.

chilly86

Цитата: Selish selishev от 30 Декабрь 2011, 14:02:52
Cсылки выделяются ссылками, а не флудом, еще про ПЖВ задвинь.
Так и не вижу  ссылки.

дядь, не газуй
в ответе №3 есть ссылка на страницу с апгрейдами
а в в ответе №8 есть прямая ссылка на пакет с апгрейдом, который тебе необходим

to live is to die

kak2z

С каких это пор пост администратора сайта русского сообщества СМФ стал флудом http://www.simplemachines.ru/index.php?topic=13962.msg106995#msg106995
Если нужно что то исправить, обновить, переставить, настроить, сделать форум заново - пишите в ЛС)

MasterTaganrog

14 Февраль 2012, 22:43:20 #17 Последнее редактирование: 14 Февраль 2012, 22:56:38 от MasterTaganrog
Вот ставлю как обычный мод, а мне еще при загрузке пишет Пакет, который Вы пытаетесь загрузить, не является пакетом модификации или поврежден.
Вот еще пакеты у меня

maestrosite.ru

Цитата: MasterTaganrog от 14 Февраль 2012, 22:43:20
Вот ставлю как обычный мод, а мне еще при загрузке пишет Пакет, который Вы пытаетесь загрузить, не является пакетом модификации или поврежден.
Вот еще пакеты у меня
Не совсем все понял, вернее совсем все не понял. Что ставите-то?
"как обычный мод" - не обычный или совсем не мод?
Если задаются вопросы по вашей проблеме, значит это нужно вам!
---
Обновления форума, разрешение конфликтов, адаптация модов, исправление ошибок - ваши предложения о сотрудничестве направляйте по адресу smf@maestrosite.ru

Sfive

Всем привет.
Прошу помощи у всех: при попытке автоматического обновления форума вылезает "Пакет, который Вы пытаетесь загрузить, не является пакетом модификации или поврежден. ".
То же самое с пакетами апдейта на сайте симпл машинс. То же самое со ссылкой в 8 посте данной темы. Как бороться с проблемой не знаю, помогите, пожалуйста!

GeorG

Тут у некоторых была подобная проблема на версии 2.0, помогало переархивация установщика в zip архив. Попробуйте тоже, вдруг поможет.
Верстка тем по шаблону, их доработка/переработка, переделка тем с версии smf 1.1 на smf 2.0. Примеры работ - insidestyle.ru
Установка модов (заточка под ваш форум); Моды под заказ; Обновление форума; Правильный перенос; Удаление/лечение вирусов; Устранения ошибок.
Обращаться в ЛС
Мой форум
Модуль анти-спама CleanTalk, сам пользуюсь
Сервера которыми сам пользуюсь - cadedic.ru

Sfive

Цитата: GeorG от 15 Февраль 2012, 13:53:42
Тут у некоторых была подобная проблема на версии 2.0, помогало переархивация установщика в zip архив. Попробуйте тоже, вдруг поможет.
Я качал и версию zip, и tar.gz - не помогло. Сейчас попробую переархивировать и поковыряю чуть-чуть сам архив...

maestrosite.ru

Цитата: Sfive от 15 Февраль 2012, 14:01:00
Я качал и версию zip, и tar.gz - не помогло. Сейчас попробую переархивировать и поковыряю чуть-чуть сам архив...
Про выше упоминаемые проблемы - проблемы именно в архиваторах, то есть содержимое zip-а само по себе правильное.
Видимо, различия в программах упаковки стали критичными настолько, чтобы при распаковке файлы оказывались нулевого размера. Можете посмотреть что получается в процессе установки.
Если задаются вопросы по вашей проблеме, значит это нужно вам!
---
Обновления форума, разрешение конфликтов, адаптация модов, исправление ошибок - ваши предложения о сотрудничестве направляйте по адресу smf@maestrosite.ru

MasterTaganrog

Цитата: Sfive от 15 Февраль 2012, 10:44:54
Всем привет.
Прошу помощи у всех: при попытке автоматического обновления форума вылезает "Пакет, который Вы пытаетесь загрузить, не является пакетом модификации или поврежден. ".
То же самое с пакетами апдейта на сайте симпл машинс. То же самое со ссылкой в 8 посте данной темы. Как бороться с проблемой не знаю, помогите, пожалуйста!
Во-во вот такая же фигня, хоть автоматически, хоть вручную.
Ща попробую переархивировать.

MasterTaganrog


chilly86

to live is to die

MasterTaganrog

Цитата: chilly86 от 15 Февраль 2012, 22:04:42
а если так?


Пакет был успешно установлен. Теперь Вы можете использовать предоставляемые им функции или изменения.
Спасибо огромное.
А что там было?

digger®

Цитата: MasterTaganrog от 15 Февраль 2012, 22:08:43
Пакет был успешно установлен. Теперь Вы можете использовать предоставляемые им функции или изменения.
Спасибо огромное.
А что там было?

Цитата: GeorG от 15 Февраль 2012, 13:53:42помогало переархивация установщика в zip архив

maestrosite.ru

Цитата: MasterTaganrog от 14 Февраль 2012, 22:43:20
Вот еще пакеты у меня
А для каких целей у вас два раза установлен SMF 1.1.15 Update? Пункты 4 и 15, красненькие такие
Если задаются вопросы по вашей проблеме, значит это нужно вам!
---
Обновления форума, разрешение конфликтов, адаптация модов, исправление ошибок - ваши предложения о сотрудничестве направляйте по адресу smf@maestrosite.ru

chilly86

у меня была такая же запара,еще когда сидел на единице
я удалил из установщика все строки, которые. касались 1.0.22, а также изменил строку install for=1.1.1*
и пакет установился idiot
to live is to die

MasterTaganrog

Цитата: chilly86 от 15 Февраль 2012, 22:19:09
у меня была такая же запара,еще когда сидел на единице
я удалил из установщика все строки, которые. касались 1.0.22, а также изменил строку install for=1.1.1*
и пакет установился idiot
Да я вот тоже посмотрел на эти строки, подумал нафига они, но удалять не стал просто пробовал переархивировать.
Спасибо за решение данной проблемы, + поставил.
Цитата: transkontrol от 15 Февраль 2012, 22:17:33
А для каких целей у вас два раза установлен SMF 1.1.15 Update? Пункты 4 и 15, красненькие такие
Я тоже думал почему их два, но удалив один, откатился на 14-ю версию.
А красненькие потому что уже заходил туда, разницу искал.

Макар

Попробуй перезиповать пакет. Расппкуй архив у себя на компе и запакуй обратно. :)
Если Вы здесь недавно, не обольщайтесь тоном некоторых дискуссий.
Все чаще слова - юзай поиск, приобретают смысл - иди в ж..........  Приобретение смысла автоматизированно - Ответы на любой вопрос по SMF
Не пишите несколько сообщений подряд - тут вам не Twitter  >:( в остальных ситуациях мы не сильно зверствуем 2funny

Sfive

Всем спасибо за комменты и помощь!
После ответа GeorG'a попытался переархивировать всё. Как говорит мой друг: "Факир был пьян и факинг не удался".
Потом я скачал архив из 8 поста темки и переархивировал - безрезультатно. И только тогда, когдя я вытянул файлик с разрешением .mod и файл package-info.xml из представленного архива, соединил его с содержанием архива с симплмашинс.орг, тогда апгрейд-таки начался.
Еще раз благодарю всех за помощь.

chilly86

Цитата: Sfive от 16 Февраль 2012, 12:40:51
Потом я скачал архив из 8 поста темки и переархивировал - безрезультатно. И только тогда, когдя я вытянул файлик с разрешением .mod и файл package-info.xml из представленного архива, соединил его с содержанием архива с симплмашинс.орг, тогда апгрейд-таки начался.

есть подозрение что это один и тот же архив :)
to live is to die